function testGaussLR()
    success = testSingle( [ 1,1,1; 4,3,-1; 3,5,3 ], [1,1,1; 4,-1,-5; 3,-2,-10] )
    success = success & testSingle( [1,0;0,1], [1,0;0,1] )
    success = success & testSingle( [6,-4,7; -12,5,-12; 18,0,22], [6,-4,7; -2,-3,2; 3,-4,9] )
    if success
        disp("It works!")
    else
        disp("It doesn't work :/")
    end
end

function success = testSingle(init, expected)
    success = isequal(gaussLR(init), expected);
end